Finish connect login
curl --request POST \
--url https://{projectId}.frontendapi.corbado.io/v2/connect/login/finish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isConditionalUI": true,
"assertionResponse": "<string>",
"loadedMs": 123
}
'import requests
url = "https://{projectId}.frontendapi.corbado.io/v2/connect/login/finish"
payload = {
"isConditionalUI": True,
"assertionResponse": "<string>",
"loadedMs": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isConditionalUI: true, assertionResponse: '<string>', loadedMs: 123})
};
fetch('https://{projectId}.frontendapi.corbado.io/v2/connect/login/finish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": "<string>",
"signedPasskeyData": "<string>",
"passkeyOperation": {
"identifierValue": "<string>",
"aaguidDetails": {
"name": "<string>",
"iconLight": "<string>",
"iconDark": "<string>"
}
},
"fallbackOperationError": {
"initFallback": true,
"identifier": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}
}CorbadoConnect
Finish connect login
Finishes an initialized Corbado Connect login process.
POST
/
v2
/
connect
/
login
/
finish
Finish connect login
Authorizations
bearerAuthprojectID
After a user logs in successfully, a session is created and a JWT token is returned.
This token represents the user's authenticated session.
It must be included in the Authorization header as a Bearer token for all protected endpoints:
Authorization: Bearer <your-token>
The server will validate this token to authorize access.
Body
application/json
Was this page helpful?
⌘I